import { FC } from 'react';
import { OptionType } from '../../types';
interface OptionProps {
    /**
     * The label of the option.
     */
    label: OptionType['label'];
    /**
     * Whether or not the option is currently selected.
     * @type boolean
     */
    isSelected: boolean;
    /**
     * The function fired by the onClick event.
     */
    onClick: () => void;
    /**
     * The function fired by the onDoubleClick event.
     */
    onDoubleClick: () => void;
}
declare const Option: FC<OptionProps>;
export default Option;
